var sendperiodmax=6000; // jak maximalne casto bude odesilana nove zjistena pozice v ms

var timesend=0;

var wpid=-1, prev_lat, prev_long, min_accuracy=400;

var gpsSendReq = false;
// on !IE we only have to initialize it once
if (window.XMLHttpRequest) {
   gpsSendReq = new XMLHttpRequest();
}

function gpsstartstop() {
   var gpsbuton=document.getElementById("gpsbuton");
   if(wpid!=-1) { // If we already have a wpid which is the ID returned by navigator.geolocation.watchPosition()
      gpsbuton.value="Start";
      navigator.geolocation.clearWatch(wpid);
      wpid=-1;
      prev_lat=undefined; prev_long=undefined;
   }
   else { // Else...We should only ever get here right at the start of the process
      gpsbuton.value="Čekám...";
      gpsgetpos();
   }
}

function gpsgetpos() {
   // Set up a watchPosition to constantly monitor the geo location provided by the browser - NOTE: !! forces a boolean response
   // We  use watchPosition rather than getPosition since it more easily allows (on IPhone at least) the browser/device to refine the geo location rather than simply taking the first available position
   // Full spec for navigator.geolocation can be foud here: http://dev.w3.org/geo/api/spec-source.html#geolocation_interface

   // First, check that the Browser is capable
   if(!!navigator.geolocation) {
      //wpid=navigator.geolocation.watchPosition(gpsgetpos_success, gpsgetpos_error, {enableHighAccuracy:true, maximumAge:30000, timeout:27000});
      wpid=navigator.geolocation.watchPosition(gpsgetpos_success, gpsgetpos_error, {enableHighAccuracy:true, maximumAge:1000, timeout:30000});
   }
   else {
      gpsprintinfo("ERROR: Prohlížeč nedisponuje Geo Location API");
   }
}

// This function is called each time navigator.geolocation.watchPosition() generates an error (i.e. cannot get a Geo location reading)
function gpsgetpos_error(error) {
   var info;
   switch(error.code) {
      case error.TIMEOUT:
         info="Čas vypršel!";
      break;
   };
   if(!info) {
      info="Neznámá chyba!";
   }
   gpsprintinfo(info);
}

// This is the function which is called each time the Geo location position is updated
function gpsgetpos_success(position) {
   var gpsbuton=document.getElementById("gpsbuton");
   gpsbuton.value="Stop";
   var info="";
   var d=new Date(); // Date object, used below for output messahe
   var current_datetime=
      d.getUTCFullYear() + "-" + lpad2(d.getUTCMonth()+1) + "-" + lpad2(d.getUTCDate()) + " " +
      lpad2(d.getUTCHours()) + ":" + lpad2(d.getUTCMinutes()) + ":" + lpad2(d.getUTCSeconds());

   // Check that the accuracy of our Geo location is sufficient for our needs
   if(position.coords.accuracy<=min_accuracy) {
      // We don't want to action anything if our position hasn't changed - we need this because on IPhone Safari at least, we get repeated readings of the same location with 
      // different accuracy which seems to count as a different reading - maybe it's just a very slightly different reading or maybe altitude, accuracy etc has changed
      if(prev_lat!=position.coords.latitude || prev_long!=position.coords.longitude) {
         prev_lat=position.coords.latitude;
         prev_long=position.coords.longitude;
         info=
            "loc: "+position.coords.latitude+" "+position.coords.longitude+
            " (+-"+Math.round(position.coords.accuracy, 1)+"m)"+
            " ("+current_datetime+")";
         // odesilani souradnice pres web
         var datenowD=new Date;
         var timenow=datenowD.getTime();
         if((timenow-timesend)>sendperiodmax) { // omezuji maximalni frekvenci posilani pomoci sendperiodmax
            timesend=timenow;
            if (gpsSendReq && gpsSendReq.readyState < 4) {
               gpsSendReq.abort();
            }
            if (window.XMLHttpRequest) { // branch for IE/Windows ActiveX version
            }
            else if (window.ActiveXObject) {
               gpsSendReq = new ActiveXObject("Microsoft.XMLHTTP");
            }
            // nize uzita fce "encodeURIComponent" encoduje retezec do URI opisu, ale vzdy v UTF-8 bezohledu na aktualne uzivane kodovani stranky HTML
            var url = "gpssend.phtml"
            url += "?datetime=" + encodeURIComponent(current_datetime);
            url += "&latitude=" + encodeURIComponent(position.coords.latitude);
            url += "&longitude=" + encodeURIComponent(position.coords.longitude);
            url += "&altitude=" + encodeURIComponent(position.coords.altitude);
            url += "&accuracy=" + encodeURIComponent(position.coords.accuracy);
            url += "&altitudeaccuracy=" + encodeURIComponent(position.coords.altitudeAccuracy);
            url += "&heading=" + encodeURIComponent(position.coords.heading);
            url += "&speed=" + encodeURIComponent(position.coords.speed);
            url += "&_charset=UTF-8";
            gpsSendReq.open("GET", url, true);
            gpsSendReq.onreadystatechange = function() { gpsSendProcessReqChange(true); };
            gpsSendReq.send(null);
         }
      }
   }
   else {
      info=
         "Příliš nepřesné: ("+Math.round(position.coords.accuracy, 1)+"m požadováno: "+min_accuracy+"m)"+
         " ("+current_datetime+")";
   }
   if(info) {
      gpsprintinfo(info);
   }
}

function gpsSendProcessReqChange() {
   var info;
   if (gpsSendReq.readyState == 4) {
      // pokud doslo k nahlemu preruseni nacitani (napriklad v prohlizeci byla
      // vyvolana akce k nacitani jiz jineho dokumentu), pak responseXML neni
      // definovano
      if(gpsSendReq.responseXML) {
         info = 'SEND OK';
      }
   }
   if(info) {
      var mgT=document.getElementById("map_gps");
      var infoT=document.createTextNode(info);
      mgT.appendChild(infoT);
   }
}

function gpsprintinfo(info) {
   var mgT=document.getElementById("map_gps");
   while (mgT.hasChildNodes()) {
      mgT.removeChild(mgT.firstChild);
   }
   var infoT=document.createTextNode(info);
   mgT.appendChild(infoT);
}

