-- MySQL dump 10.13  Distrib 5.1.49, for debian-linux-gnu (x86_64)
--
-- Host: localhost    Database: MyVector
-- ------------------------------------------------------
-- Server version	5.1.49-3-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `Share`
--

DROP TABLE IF EXISTS `Share`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Share` (
  `trackid` int(11) NOT NULL,
  `shareid` int(11) NOT NULL AUTO_INCREMENT,
  `datesat` datetime NOT NULL,
  `Pla` decimal(10,6) NOT NULL,
  `Plo` decimal(10,6) NOT NULL,
  `PA` decimal(9,3) NOT NULL,
  `azimuth` decimal(10,6) NOT NULL,
  `accuracy` decimal(11,1) NOT NULL,
  `quality` varchar(20) NOT NULL,
  `provider` varchar(10) NOT NULL,
  `body` longblob NOT NULL,
  `userwrite` varchar(15) CHARACTER SET cp1250 COLLATE cp1250_bin NOT NULL DEFAULT '',
  `datewrite` datetime NOT NULL,
  `datestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`trackid`,`shareid`),
  KEY `datesat` (`datesat`),
  KEY `datestamp` (`datestamp`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1250;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Track`
--

DROP TABLE IF EXISTS `Track`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Track` (
  `trackid` int(11) NOT NULL,
  `datesat` datetime NOT NULL,
  `Pla` decimal(10,6) NOT NULL,
  `Plo` decimal(10,6) NOT NULL,
  `PA` decimal(9,3) NOT NULL,
  `azimuth` decimal(10,6) NOT NULL,
  `speed` decimal(7,2) NOT NULL,
  `accuracy` decimal(11,1) NOT NULL,
  `quality` varchar(20) NOT NULL,
  `provider` varchar(10) NOT NULL,
  `battlevel` tinyint(3) NOT NULL,
  `charging` tinyint(1) NOT NULL,
  `networkoperatorname` varchar(20) NOT NULL,
  `networktype` tinyint(3) NOT NULL,
  `userwrite` varchar(15) CHARACTER SET cp1250 COLLATE cp1250_bin NOT NULL DEFAULT '',
  `datewrite` datetime NOT NULL,
  `datestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`trackid`,`datesat`),
  KEY `datesat` (`datesat`),
  KEY `datestamp` (`datestamp`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1250;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Trackinfo`
--

DROP TABLE IF EXISTS `Trackinfo`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Trackinfo` (
  `trackid` int(11) NOT NULL AUTO_INCREMENT,
  `trackname` varchar(100) NOT NULL,
  `userwrite` varchar(15) CHARACTER SET cp1250 COLLATE cp1250_bin NOT NULL DEFAULT '',
  `datewrite` datetime NOT NULL,
  `datestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`trackid`),
  UNIQUE KEY `trackname` (`trackname`)
) ENGINE=MyISAM AUTO_INCREMENT=47 DEFAULT CHARSET=cp1250;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Waypoint`
--

DROP TABLE IF EXISTS `Waypoint`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Waypoint` (
  `wpid` int(11) NOT NULL AUTO_INCREMENT,
  `wpname` varchar(50) NOT NULL,
  `wptype` int(11) NOT NULL,
  `wpcolor` char(1) NOT NULL,
  `folderid` int(11) NOT NULL,
  `datesat` datetime NOT NULL,
  `Pla` decimal(10,6) NOT NULL,
  `Plo` decimal(10,6) NOT NULL,
  `PA` decimal(9,3) NOT NULL,
  `speed` decimal(7,2) NOT NULL,
  `quality` varchar(20) NOT NULL,
  `userwrite` varchar(15) CHARACTER SET cp1250 COLLATE cp1250_bin NOT NULL DEFAULT '',
  `datewrite` datetime NOT NULL,
  `datestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`wpid`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1250;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2011-07-28 16:23:29
